Loading...
Searching...
No Matches
validate.hpp File Reference

## Description

Provides utilities to validate BSON document representations.

Go to the source code of this file.

## Classes

class | bsoncxx::v_noabi::validator
| Used to toggle checks which may be performed during BSON validation. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.

## Functions

stdx::optional< document::view > | bsoncxx::v_noabi::validate (std::uint8_t const *data, std::size_t length)
| Validates a BSON document. This is a simplified overload that will only do the bare minimum validation of document structure, and does not provide any further information if the document is found to be invalid.
stdx::optional< document::view > | bsoncxx::v_noabi::validate (std::uint8_t const *data, std::size_t length, validator const &validator, std::size_t *invalid_offset=nullptr)
| Validates a BSON document. This overload provides additional control over the precise validation that is performed, and will give the caller access to the offset at which the document was found to be invalid.
stdx::optional< document::view > | bsoncxx::validate (std::uint8_t const *data, std::size_t length)
| Validates a BSON document. This is a simplified overload that will only do the bare minimum validation of document structure, and does not provide any further information if the document is found to be invalid.